Plesk\backup\Agent\Schema\Backup\Dbuser\DbuserAType:
    properties:
        name:
            expose: true
            access_type: public_method
            serialized_name: name
            accessor:
                getter: getName
                setter: setName
            xml_attribute: true
            type: string
        id:
            expose: true
            access_type: public_method
            serialized_name: id
            accessor:
                getter: getId
                setter: setId
            xml_attribute: true
            type: string
        externalId:
            expose: true
            access_type: public_method
            serialized_name: external-id
            accessor:
                getter: getExternalId
                setter: setExternalId
            xml_attribute: true
            type: string
        apsRegistryId:
            expose: true
            access_type: public_method
            serialized_name: aps-registry-id
            accessor:
                getter: getApsRegistryId
                setter: setApsRegistryId
            xml_attribute: true
            type: string
        default:
            expose: true
            access_type: public_method
            serialized_name: default
            accessor:
                getter: getDefault
                setter: setDefault
            xml_attribute: true
            type: string
        dbUserExistent:
            expose: true
            access_type: public_method
            serialized_name: db-user-existent
            accessor:
                getter: getDbUserExistent
                setter: setDbUserExistent
            xml_attribute: true
            type: string
        role:
            expose: true
            access_type: public_method
            serialized_name: role
            accessor:
                getter: getRole
                setter: setRole
            xml_attribute: true
            type: string
        password:
            expose: true
            access_type: public_method
            serialized_name: password
            xml_element:
                cdata: false
            accessor:
                getter: getPassword
                setter: setPassword
            type: Plesk\backup\Agent\Schema\Backup\Password
        accesshost:
            expose: true
            access_type: public_method
            serialized_name: accesshost
            xml_element:
                cdata: false
            accessor:
                getter: getAccesshost
                setter: setAccesshost
            xml_list:
                inline: true
                entry_name: accesshost
            type: array<string>
        dbServer:
            expose: true
            access_type: public_method
            serialized_name: db-server
            xml_element:
                cdata: false
            accessor:
                getter: getDbServer
                setter: setDbServer
            type: Plesk\backup\Agent\Schema\Backup\DbServer
        remoteAccessRules:
            expose: true
            access_type: public_method
            serialized_name: remote-access-rules
            xml_element:
                cdata: false
            accessor:
                getter: getRemoteAccessRules
                setter: setRemoteAccessRules
            type: array<Plesk\backup\Agent\Schema\Backup\RemoteAccessRules\RemoteAccessRulesAType\RuleItemAType>
            xml_list:
                inline: false
                entry_name: rule-item
                skip_when_empty: true
        acl:
            expose: true
            access_type: public_method
            serialized_name: acl
            xml_element:
                cdata: false
            accessor:
                getter: getAcl
                setter: setAcl
            type: array<string>
            xml_list:
                inline: false
                entry_name: allowed-host
                skip_when_empty: true
        privileges:
            expose: true
            access_type: public_method
            serialized_name: privileges
            xml_element:
                cdata: false
            accessor:
                getter: getPrivileges
                setter: setPrivileges
            type: array<Plesk\backup\Agent\Schema\Backup\Privileges\PrivilegesAType\PrivilegeAType>
            xml_list:
                inline: false
                entry_name: privilege
                skip_when_empty: true
